Vulnerabilità: CVE-2019-9880

Un problema è stato scoperto nel plugin WPGraphQL 0.2.3 per WordPress. Interrogando il RootQuery ‘utenti’, è possibile, per un utente malintenzionato non autenticato, per recuperare i dettagli tutti gli utenti di WordPress come l’indirizzo email, il ruolo, e il nome utente.


https://github.com/wp-graphql/wp-graphql/releases/tag/v0.3.0
http://packetstormsecurity.com/files/153025/WordPress-WPGraphQL-0.2.3-Authentication-Bypass-Information-Disclosure.html
https://github.com/pentestpartners/snippets/blob/master/wp-graphql0.2.3_exploit.py
https://wpvulndb.com/vulnerabilities/9282
https://www.pentestpartners.com/security-blog/pwning-wordpress-graphql/
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9880


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi